<template>
  <div class="echart44_box">
    <div id="echart44"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  mounted() {
    this.lineChart();
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: "各项目总体进度",
          textStyle: {
            color: "#fff",
          },
        },
        tooltip: {
          trigger: "item",
        },
        // legend: {},
        grid: {
          left: "3%",
          right: "4%",
          bottom: "3%",
          containLabel: true,
        },
        series: [
          {
            name: "各项目总体进度",
            type: "pie",
            radius: ["40%", "70%"],
            roseType: "radius",
            color: ["#03effb", "#00bec4", "#3a82ab"],
            avoidLabelOverlap: false,
            itemStyle: {
              fontColor: "fff",
              borderColor: "#fff",
            },
            label: {
              show: false,
              position: "center",
            },
            emphasis: {
              // label: {
              //   show: true,
              //   fontSize: "18",
              // },
            },
            labelLine: {
              show: false,
            },
            data: [
              { value: 4, name: "已完成" },
              { value: 7, name: "进行中" },
              { value: 8, name: "未开始" },
            ],
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("echart44"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart44_box {
  padding: 20px;
  // background: rgba(0, 0, 0, 0.6);
}
#echart44 {
  width: 100%;
  height: 100%;
}
</style>
